| Bsoft 2.0.5 Bernard's software package

Functions
bshow_scales.tcl File Reference

Procedures to manage scales for image display. More...

Go to the source code of this file.

## Functions
| setupScales w
| Configures scales for the image window. More...
| reconfigureScales
| Resets the scales when the image changes. More...
| reconfigureMinMax
| Resets the min and max scales when the range step size changes. More...
| reconfigureRangeStep
| Resets the range step size to the default value. More...
| setScaleDialog
| A dialog to type in a scale factor and new min and max values. More...
| setScaleOK wd
| Sets the scales given in the dialog. More...
| setScale scale
| Sets the scale for display. More...
| setSlice slice_num
| Loads the requested slice in the current file into a photo image for display. More...
| setImage img_num
| Loads the requested image in the current file into a photo image for display. More...
| setMin smin
| Sets the minimum display value. More...
| setMax smax
| Sets the maximum display value. More...
| autoScale
| Sets reasonable minimum and maximum display values. More...
| invertContrast
| Switches the minimum and maximum display values. More...
| do_animate_slices
| Pages through slices. More...

## Detailed Description

Procedures to manage scales for image display.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20130820

Definition in file bshow_scales.tcl.

## Function Documentation

## ◆ autoScale()

autoScale

Sets reasonable minimum and maximum display values.

Definition at line 350 of file bshow_scales.tcl.

## ◆ do_animate_slices()

do_animate_slices

Pages through slices.

Definition at line 411 of file bshow_scales.tcl.

## ◆ invertContrast()

invertContrast

Switches the minimum and maximum display values.

Definition at line 398 of file bshow_scales.tcl.

## ◆ reconfigureMinMax()

reconfigureMinMax

Resets the min and max scales when the range step size changes.

Definition at line 119 of file bshow_scales.tcl.

## ◆ reconfigureRangeStep()

reconfigureRangeStep

Resets the range step size to the default value.

Definition at line 139 of file bshow_scales.tcl.

## ◆ reconfigureScales()

reconfigureScales

Resets the scales when the image changes.

Definition at line 91 of file bshow_scales.tcl.

## ◆ setImage()

setImage |  |  | img_num

Loads the requested image in the current file into a photo image for display.

Parameters

  img_num | Current image number stored in the image scale

Definition at line 286 of file bshow_scales.tcl.

## ◆ setMax()

setMax |  |  | smax

Sets the maximum display value.

Parameters

  smax | New display maximum.

Definition at line 327 of file bshow_scales.tcl.

## ◆ setMin()

setMin |  |  | smin

Sets the minimum display value.

Parameters

  smin | New display minimum.

Definition at line 303 of file bshow_scales.tcl.

## ◆ setScale()

setScale |  |  | scale

Sets the scale for display.

Parameters

  scale | Display scale stored in the scale scale

Definition at line 238 of file bshow_scales.tcl.

## ◆ setScaleDialog()

setScaleDialog

A dialog to type in a scale factor and new min and max values.

Definition at line 157 of file bshow_scales.tcl.

## ◆ setScaleOK()

setScaleOK |  |  | wd

Sets the scales given in the dialog.

Parameters

  wd | Dialog window.

Definition at line 218 of file bshow_scales.tcl.

## ◆ setSlice()

setSlice |  |  | slice_num

Loads the requested slice in the current file into a photo image for display.

Parameters

  slice_num | Current slice number stored in the slice scale

Definition at line 266 of file bshow_scales.tcl.

## ◆ setupScales()

setupScales |  |  | w

Configures scales for the image window.

These scales are used as stores for the slice and image numbers as well as the scaling of the image itself

Parameters

  w | Control window to put scales in.

Definition at line 20 of file bshow_scales.tcl.